KDE 4.9 PyKDE API Reference

- KDE's Python API

# TileCreatorSource Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

Base Class for custom tile source

Implement this class to have more control over the tile creating process. This is needed when creating with a high tileLevel where the whole source image can't be loaded at once.

## Methods
QSize | fullImageSize (self)
QImage | tile (self, int n, int m, int tileLevel)

## Method Documentation

QSize fullImageSize | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Must return the full size of the source image

QImage tile | ( | self, |
|  | int | n,
|  | int | m,
|  | int | tileLevel
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Must return one specific tile

tileLevel can be used to calculate the number of tiles in a row or column